﻿<?php
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

/**
 * @version 1.0
 * @package MortgagePaymentCalculatorCalculateInstallment 
 * @copyright 2012 OrdaSoft
 * @author 2012 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru)
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @description Mortgage Payment Calculator - Calculate Installment
 * Homepage: http://www.ordasoft.com
*/

$mosConfig_absolute_path = $GLOBALS['mosConfig_absolute_path']	= JPATH_SITE;
global $mosConfig_lang; // for 1.6

$title = $params->get( 'title', '' );
$table_header_color = $params->get( 'table_header_color', '#FFFFFF' );
$table_header_text = $params->get( 'table_header_text', '#000000' );
$currency = $params->get( 'currency', '' );

$mainframe = JFactory::getApplication(); // for 1.6
$GLOBALS['mainframe'] = $mainframe;

// load language
$lang_def_en=0;
$lang =& JFactory::getLanguage();
foreach ($lang->getLocale() as $locale){
    $mosConfig_lang=$locale;
    if (file_exists($mosConfig_absolute_path."/modules/mod_mortgage_payment_calcul_installment_FREE/language/{$mosConfig_lang}.php" )){  
        include_once($mosConfig_absolute_path."/modules/mod_mortgage_payment_calcul_installment_FREE/language/{$mosConfig_lang}.php" );
        $lang_def_en=1;
        break;
    }
}
if($lang_def_en!=1){
    $mosConfig_lang = "english";
    include_once($mosConfig_absolute_path."/modules/mod_mortgage_payment_calcul_installment_FREE/language/english.php");
}

JHTML::_("behavior.mootools");
$doc =& JFactory::getDocument();
$doc->addScript("modules/mod_mortgage_payment_calcul_installment_FREE/mootools-more-1.4.0.1.js");
$doc->addScript("modules/mod_mortgage_payment_calcul_installment_FREE/MilkChart.js");

?>
<style type="text/css">

.tab_hed {
background-color:<?php echo $table_header_color;?>;
color:<?php echo $table_header_text;?>;
font-weight:bold;
}

#tabrez {
border-collapse: collapse !important;
width:100%;
text-align:center;
}

div {
text-align: center;
}
td { 
    border: 1px solid black !important; /* Граница вокруг ячеек */
   }
li {
    list-style-type:none; /* Убираем маркеры */
}
</style>

<noscript>Javascript is required to use Mortgage Payment Calculator - Calculate Installment<a href="http://ordasoft.com/">Joomla component for Mortgage Payment Calculator - Calculate Installment</a>
<a href="http://ordasoft.com/">Mortgage Payment Calculator - Calculate Installment Joomla component for real estate manager and vehicle manager</a></noscript>
 
<script type="text/javascript" language="javascript">

var d = document;

var capitale;
var cadence;
var tasso;

function addRow()
{
    capitale = d.getElementById('capitale').value;
    cadence = d.getElementById('cadence').value;
    tasso = d.getElementById('tasso').value;

    var tab1 = d.getElementById('tab1');
    
    var ch1 = d.getElementById('ch1');
    var ch2 = d.getElementById('ch2');
    var ch3 = d.getElementById('ch3');
    
    var stab1 = "<table id=\"tabrez\"><tr><td class=\"tab_hed\"><?php echo _MOD_CALC_MOR_AGE; ?></td><td class=\"tab_hed\"><?php echo _MOD_CALC_MOR_NUMBER_OF_PAYMENTS; ?></td><td class=\"tab_hed\"><?php echo _MOD_CALC_MOR_MONTHLY_PAYMENTS; ?></td><td class=\"tab_hed\"><?php echo _MOD_CALC_MOR_INTEREST_PAID; ?></td><td class=\"tab_hed\"><?php echo _MOD_CALC_MOR_REIMBURSEMENT; ?></td><td class=\"tab_hed\"><?php echo _MOD_CALC_MOR_INTEREST_EXPENSE; ?></td></tr>";
    
    var tabchart1 = "<p><b><?php echo _MOD_CALC_MOR_MONTHLY_PAYMENTS; ?></b></p><table id=\"tabchart1\"><thead><tr><th><?php echo _MOD_CALC_MOR_MONTHLY_PAYMENTS; ?></th></tr></thead><tbody>";
    var tabchart2 = "<p><b><?php echo _MOD_CALC_MOR_INTEREST_EXPENSE; ?></b></p><table id=\"tabchart2\"><thead><tr><th><?php echo _MOD_CALC_MOR_INTEREST_EXPENSE; ?></th></tr></thead><tbody>";
    var tabchart3 = "<p><b><?php echo _MOD_CALC_MOR_REIMBURSEMENT; ?></b></p><table id=\"tabchart3\"><thead><tr><th><?php echo _MOD_CALC_MOR_REIMBURSEMENT; ?></th></tr></thead><tbody>";
    
    var ir = 0;
    var anni = 0;
    var rate = 0;
    var interessi = 0;
    var rimborso = 0;
    var si = 0;
    var arr =  [];


    for (var i = 0; i <= 5; i++) {
	anni = (i+1)*5;
	rate = anni * cadence;
	ir = capitale*Math.pow((1+((tasso/100)/cadence)),cadence*anni)*(((tasso/100)/cadence)/(Math.pow(1+((tasso/100)/cadence),cadence*anni)-1));
	rimborso = ir * rate;
	interessi = rimborso - capitale;
	si = (interessi * 100) / capitale;
	
	tabchart1 = tabchart1 + "<tr><td>"+ir.toFixed(2)+"</td><tr>";
	tabchart2 = tabchart2 + "<tr><td>"+si.toFixed(2)+"</td><tr>";
	tabchart3 = tabchart3 + "<tr><td>"+rimborso.toFixed(2)+"</td><tr>";
	

	stab1 = stab1 + "<tr><td>"+anni+"</td><td>"+rate+"</td><td>"+ir.toFixed(2)+"</td><td>"+interessi.toFixed(2)+"</td><td>"+rimborso.toFixed(2)+"</td><td>"+si.toFixed(2)+"</td></tr>";
	
	arr[arr.length] = anni;
    }


    ch1.innerHTML = tabchart1+"</tbody><tfoot><tr><td>5</td><td></td><td>10</td><td></td><td>15</td><td></td><td>20</td><td></td><td>25</td><td></td><td>30</td><td></td></tr></tfoot></table>";
    ch2.innerHTML = tabchart2+"</tbody><tfoot><tr><td>5</td><td></td><td>10</td><td></td><td>15</td><td></td><td>20</td><td></td><td>25</td><td></td><td>30</td><td></td></tr></tfoot></table>";
    ch3.innerHTML = tabchart3+"</tbody><tfoot><tr><td>5</td><td></td><td>10</td><td></td><td>15</td><td></td><td>20</td><td></td><td>25</td><td></td><td>30</td><td></td></tr></tfoot></table>";
            
    tab1.innerHTML = stab1+"</table>";
        
    var options1 = {
	chart_type: "Column",
	width: 480,
        height: 290,
	colors: ['#4f81bd'],
        padding: 12,
        font: "Arial",
        fontColor: "#000000",
        fontSize: 12,
        background: "#FFFFFF",
        chartLineColor: "#878787",
        chartLineWeight: 1,
        border: false,
        borderWeight: 1,
        borderColor: "#878787",
        titleSize: 18,
        titleFont: "Arial",
        titleColor: "#000000",
        showRowNames: true,
        showValues: true,
        showKey: false,
	useZero: true,
	useFooter: true
    };
    
    window.addEvent('domready', function() {
	var chart = new MilkChart['Column']("tabchart1",options1);
    });
	
    var options2 = {
	chart_type: "Column",
	width: 480,
        height: 290,
	colors: ['#c0504d'],
        padding: 12,
        font: "Arial",
        fontColor: "#000000",
        fontSize: 12,
        background: "#FFFFFF",
        chartLineColor: "#878787",
        chartLineWeight: 1,
        border: false,
        borderWeight: 1,
        borderColor: "#878787",
        titleSize: 18,
        titleFont: "Arial",
        titleColor: "#000000",
        showRowNames: true,
        showValues: true,
        showKey: false,
	useZero: true,
	useFooter: true
    };
    
        window.addEvent('domready', function() {
	var chart = new MilkChart['Column']("tabchart2",options2);
    });
    
    var options3 = {
	chart_type: "Column",
	width: 480,
        height: 290,
	colors: ['#9bbb59'],
        padding: 12,
        font: "Arial",
        fontColor: "#000000",
        fontSize: 12,
        background: "#FFFFFF",
        chartLineColor: "#878787",
        chartLineWeight: 1,
        border: false,
        borderWeight: 1,
        borderColor: "#878787",
        titleSize: 18,
        titleFont: "Arial",
        titleColor: "#000000",
        showRowNames: true,
        showValues: true,
        showKey: false,
	useZero: true,
	useFooter: true
    };
     
    window.addEvent('domready', function() {
	var chart = new MilkChart['Column']("tabchart3",options3);
    });

}   
</script>
<div>

<p><b><?php echo $title; ?></b></p>
<br />
<form action="" method="post" onsubmit="addRow();return false;">
<ul>
  <li>
    <label><?php echo _MOD_CALC_MOR_LOAN_AMOUNT; ?>: <input name="capitale" id="capitale" size="8" type=text value="" /><?php echo $currency; ?></label>
  </li>
  <li><label><?php echo _MOD_CALC_MOR_LOAN_TERM; ?>:</label>
	<select name="cadence" id="cadence">
		<option value=12><?php echo _MOD_CALC_MOR_MONTHLY; ?></option>
		<option value=6><?php echo _MOD_CALC_MOR_TWO_MONTH; ?></option>
		<option value=4><?php echo _MOD_CALC_MOR_QUARTERLY; ?></option>
		<option value=2><?php echo _MOD_CALC_MOR_SEMI_ANNUAL; ?></option>
		<option value=1><?php echo _MOD_CALC_MOR_ANNUAL; ?></option>
	</select>
  </li>
  <li>
	<label><?php echo _MOD_CALC_MOR_AMORTIZATION; ?>: <input type=text name="tasso" id="tasso" value="5" size="1" /></label>
  </li>
<br />
  <li>
	<input type="submit" name="submit" value="<?php echo _MOD_CALC_MOR_CALCULATE; ?>" id="subm"></input>
  </li>
</ul>
</form>

</div>
<br />
<div id="tab1">

</div>

<br />

<div id="tab2">

</div>

<br />

<div id="ch1">

</div>

<br />

<div id="ch2">

</div>

<br />

<div id="ch3">

</div>

<div style="text-align: center;"><a href="http://ordasoft.com" style="font-size: 10px;">Powered by OrdaSoft!</a></div>